<?php
// required headers
header("Access-Control-Allow-Origin: *");
//header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../objects/stock_in.php';
 
session_start();
date_default_timezone_set('Asia/Bangkok'); 

$database = new Database();
$db = $database->getConnection();

$stock_in = new StockIn($db);
$data = json_decode(file_get_contents("php://input"));

$stock_in->id = $data->id;
$stock_in->is_deleted = $_SESSION['user'] . " " . date("Y-m-d H:i:s");

if($stock_in->delete()){
    echo 'deleted';
}else{
    echo 'error';
}
?>